sysinfo(1)

Name

sysinfo — print IRC-style system information banner

Syntax

sysinfo

Description

Prints out an IRC-style machine info, like:

[seven] Linux 3.4.4-jng6-default x86_64 | 8-thr Intel(R) Core(TM) i7-2600 CPU 3401MHz | Load: 0.51 Tasks: 461 | Mem: 2672/32155MB | Disk: 656/2791GB | Gfx: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller @ 1280x1024

The load number is the EWMA over the last 60 seconds. The values shown for memory and disk are the used amount and the total amount (NOT the free amount and the total amount). The used memory value may theoretically exceed that of the available memory, which is the case when memory is in general already full and tmpfs files have been moved to swap (i.e. you are approaching more trouble).

The @xresxyres is only available if $DISPLAY is set and valid. xres and yres will be the dimensions of the virtual size, not the resolution of any particular monitor.

See also

hxtools(7)